DefinitionsFactoryConfig (Struts Tiles 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class DefinitionsFactoryConfig

    java.lang.Object
      org.apache.struts.tiles.DefinitionsFactoryConfig

All Implemented Interfaces:
  Serializable

    public class DefinitionsFactoryConfig

extends Object
implements Serializable

A TilesFactoryConfig object hold configuration attributes for a tile definition factory.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
See Also:
  Serialized Form

Field Summary
`protected String` | `definitionConfigFiles` Definition configuration file specified by user.
`static String` | `DEFINITIONS_CONFIG_PARAMETER_NAME` Alternate name for definition files properties in configuration file.
`static String` | `FACTORY_CLASSNAME_PARAMETER_NAME` Alternate name for factory classname properties in configuration file.
`protected String` | `factoryClassname` Fully qualified classname of the factory to create.
`protected String` | `factoryName` The name associated to this factory.
`protected boolean` | `moduleAware` Specifies whether the factory is "module-aware".
`static String` | `PARSER_DETAILS_PARAMETER_NAME` Deprecated. This will be removed in a release after Struts 1.2.
`static String` | `PARSER_VALIDATE_PARAMETER_NAME` Alternate name for parser validate properties in configuration file.
`protected boolean` | `parserValidate` Specifies whether the parser will validate configuration files.
`static String` | `TILES_DETAILS_PARAMETER_NAME` Deprecated. This will be removed in a release after Struts 1.2.

Constructor Summary
`DefinitionsFactoryConfig()` Default constructor.
`DefinitionsFactoryConfig(Map initParameters)` Constructor.

Method Summary
`Object` | `getAttribute(String name)` Get value of an additional attribute.
`Map` | `getAttributes()` Get additional attributes as a Map.
`String` | `getDefinitionConfigFiles()` Get the definition config files.
`String` | `getFactoryClassname()` Get the classname of the factory.
`String` | `getFactoryName()` Get the factory name.
`boolean` | `getParserValidate()` Determines if the parser is validating.
`boolean` | `isModuleAware()` Get the module aware flag.
`static void` | `linkOldPropertyNames(Map properties)` Link old property names to new property names.
`void` | `populate(Map properties)` Populate this config object from properties map, based on the specified name/value pairs.
`void` | `setAttribute(String name, Object value)` Set value of an additional attribute.
`void` | `setDefinitionConfigFiles(String aDefinitionConfigFiles)` Set the definition config files.
`void` | `setFactoryClassname(String aFactoryClassname)` Set the classname of the factory..
`void` | `setFactoryName(String factoryName)` Set the factory name.
`void` | `setModuleAware(boolean moduleAware)` Set the module aware flag.
`void` | `setParserValidate(boolean aParserValidate)` Set the validating mode for the parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factoryClassname

    protected String factoryClassname

  Fully qualified classname of the factory to create. If no classname is set, a default factory is created (of class "org.apache.struts.tiles.xmlDefinition.I18nFactorySet").

### parserValidate

    protected boolean parserValidate

  Specifies whether the parser will validate configuration files. Default value is true.

### definitionConfigFiles

    protected String definitionConfigFiles

  Definition configuration file specified by user.

### moduleAware

    protected boolean moduleAware

  Specifies whether the factory is "module-aware".

### factoryName

    protected String factoryName

  The name associated to this factory.
  With Struts 1.1, this name is the module name to which this factory belong. It is set by the system.
  In prior versions, this property is not used.

### PARSER_DETAILS_PARAMETER_NAME

    public static final String PARSER_DETAILS_PARAMETER_NAME

  Deprecated. This will be removed in a release after Struts 1.2.
  Alternate name for parser debug details properties in configuration file.

  See Also:
    Constant Field Values

### PARSER_VALIDATE_PARAMETER_NAME

    public static final String PARSER_VALIDATE_PARAMETER_NAME

  Alternate name for parser validate properties in configuration file.

  See Also:
    Constant Field Values

### FACTORY_CLASSNAME_PARAMETER_NAME

    public static final String FACTORY_CLASSNAME_PARAMETER_NAME

  Alternate name for factory classname properties in configuration file.

  See Also:
    Constant Field Values

### DEFINITIONS_CONFIG_PARAMETER_NAME

    public static final String DEFINITIONS_CONFIG_PARAMETER_NAME

  Alternate name for definition files properties in configuration file.

  See Also:
    Constant Field Values

### TILES_DETAILS_PARAMETER_NAME

    public static final String TILES_DETAILS_PARAMETER_NAME

  Deprecated. This will be removed in a release after Struts 1.2.
  Alternate name for definition debug details properties in configuration file.

  See Also:
    Constant Field Values

Constructor Detail

### DefinitionsFactoryConfig

    public DefinitionsFactoryConfig()

  Default constructor.

### DefinitionsFactoryConfig

    public DefinitionsFactoryConfig(Map initParameters)

  Constructor. Create configuration object, and initialize it with parameters from Map. Parameters corresponding to an attribute are filtered and stored in appropriate attribute.

  Parameters:
    `initParameters` - Map.

Method Detail

### isModuleAware

    public boolean isModuleAware()

  Get the module aware flag.

  Returns:
    `true`: user wants a single factory instance, `false`: user wants multiple factory instances (one per module with Struts)

### setModuleAware

    public void setModuleAware(boolean moduleAware)

  Set the module aware flag.

  Parameters:
    `moduleAware` - `true`: user wants a single factory instance, `false`: user wants multiple factory instances (one per module with Struts)

### getFactoryClassname

    public String getFactoryClassname()

  Get the classname of the factory.

  Returns:
    Classname.

### setFactoryClassname

    public void setFactoryClassname(String aFactoryClassname)

  Set the classname of the factory..

  Parameters:
    `aFactoryClassname` - Classname of the factory.

### getParserValidate

    public boolean getParserValidate()

  Determines if the parser is validating.

  Returns:
    `true`when in validating mode.``

### setParserValidate

    public void setParserValidate(boolean aParserValidate)

  Set the validating mode for the parser.

  Parameters:
    `aParserValidate` - `true` for validation, `false` otherwise

### getDefinitionConfigFiles

    public String getDefinitionConfigFiles()

  Get the definition config files.

  Returns:
    Defition config files.

### setDefinitionConfigFiles

    public void setDefinitionConfigFiles(String aDefinitionConfigFiles)

  Set the definition config files.

  Parameters:
    `aDefinitionConfigFiles` - Definition config files.

### setAttribute

    public void setAttribute(String name,
                             Object value)

  Set value of an additional attribute.

  Parameters:
    `name` - Name of the attribute.
    `value` - Value of the attribute.

### getAttribute

    public Object getAttribute(String name)

  Get value of an additional attribute.

  Parameters:
    `name` - Name of the attribute.
  Returns:
    Value of the attribute, or null if not found.

### getAttributes

    public Map getAttributes()

  Get additional attributes as a Map.

  Returns:
    Map A Map containing attribute name - value pairs.

### populate

    public void populate(Map properties)
                  throws IllegalAccessException,
                         InvocationTargetException

  Populate this config object from properties map, based on the specified name/value pairs. This method uses the populate() method from org.apache.commons.beanutils.BeanUtil.

  Properties keys are scanned for old property names, and linked to the new name if necessary. This modifies the properties map.

  The particular setter method to be called for each property is determined using the usual JavaBeans introspection mechanisms. Thus, you may identify custom setter methods using a BeanInfo class that is associated with the class of the bean itself. If no such BeanInfo class is available, the standard method name conversion ("set" plus the capitalized name of the property in question) is used.

  NOTE: It is contrary to the JavaBeans Specification to have more than one setter method (with different argument signatures) for the same property.

  Parameters:
    `properties` - Map keyed by property name, with the corresponding (String or String[]) value(s) to be set.
  Throws:
    `IllegalAccessException` - if the caller does not have access to the property accessor method.
    `InvocationTargetException` - if the property accessor method throws an exception.
  See Also:
    `BeanUtils`

### linkOldPropertyNames

    public static void linkOldPropertyNames(Map properties)

  Link old property names to new property names. This modifies the map.

  Parameters:
    `properties` - Map keyed by property name, with the corresponding (String or String[]) value(s) to be set.

### getFactoryName

    public String getFactoryName()

  Get the factory name.

### setFactoryName

    public void setFactoryName(String factoryName)

  Set the factory name.

  Parameters:
    `factoryName` - Name of the factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.